package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 系统二进制文件表
 * @TableName sys_byte_array
 */
@TableName(value ="sys_byte_array")
@Data
public class SysByteArray implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 二进制数据
     */
    private Object bytes;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}