package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 音色表
 * @TableName voice_info
 */
@TableName(value ="voice_info")
@Data
public class VoiceInfo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 音色码
     */
    private String voiceCode;

    /**
     * 音色名
     */
    private String voiceName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}